package UI.LogIn;

import javax.swing.*;
import java.util.ArrayList;

public class Setting {
    private float playedTime = 0;
    private String userName ;
    private int numOfWinsSingle = 0;
    private int numOfLoosesSingle = 0;
    private int numOfWinsMulti = 0;
    private int numOfLoosesMulti = 0;
    private static String tankShapePath = "C:\\Users\\Lenovo\\IdeaProjects\\JTankTrouble\\pics\\tank_blue.png";
    private int tankArmor = 100;
    private int bulletDamage ;
    private int wallWealth = 100;
    private ArrayList<String> urls = new ArrayList<>();


    public void updateSettingAfterASingleGame(float startTime , float endTime , boolean isWin ){
        playedTime += endTime - startTime ;
        if (isWin)numOfWinsSingle++;
        else numOfLoosesSingle++;
    }

    public void updateSettingAfterAMultiGame(float startTime , float endTime , boolean isWin ){
        playedTime += endTime - startTime ;
        if (isWin)numOfWinsMulti++;
        else numOfLoosesMulti++;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public int getNumOfWinsMulti() {
        return numOfWinsMulti;
    }

    public int getNumOfLoosesMulti() {
        return numOfLoosesMulti;
    }

    public float getPlayedTime() {
        return playedTime;
    }

    public String getUserName() {
        return userName;
    }


    public int getNumOfWinsSingle() {
        return numOfWinsSingle;
    }

    public int getNumOfLoosesSingle() {
        return numOfLoosesSingle;
    }

    public String getTankShapePath() {
        return tankShapePath;
    }

    public void setTankShapePath(String tankShapePath) {
        this.tankShapePath = tankShapePath;
    }
}
